#pragma once
#include "skinnablewindow.h"
#include "resizingbutton.h"
#include "closebutton.h"
#include "minimizebutton.h"
#include "titlebar.h"

// this type of window has resizing, minimize, and close buttons 
// and is meant to serve as a container for other windows
class SkinnableFrame :
	public SkinnableWindow
{
public:
	SkinnableFrame(void);
	~SkinnableFrame(void);
	virtual int Create(HWND parent = 0);
	virtual void OnSize(int cx, int cy);
	virtual void SetSize(int width, int height);
	void SetMinMaxSize(int minwidth, int maxwidth, int minheight, int maxheight);
	virtual void OnLoseFocus();
	virtual void OnGainFocus();

	ResizingButton resize;
	CloseButton close;
	MinimizeButton minimize;
	TitleBar titlebar;
	int resizeable;

	int minwidth, maxwidth;
	int minheight, maxheight;

};
